﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FLY.Thick.Base.Common;
using System.ComponentModel;

namespace FLY.Thick.Base.IService
{
    /// <summary>
    /// 密码服务
    /// </summary>
    public interface IPasswordService:INotifyPropertyChanged
    {
        /// <summary>
        /// 界面授权列表
        /// </summary>
        List<UiLvCell> UiLvs { get; set; }

        /// <summary>
        /// 密码列表
        /// </summary>
        List<PasswordCell> PWs { get; set; }

        /// <summary>
        /// 密码队列修改后应用
        /// </summary>
        void Apply();
    }
   

}
