﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Unity;

namespace MultiLayout
{
    /// <summary>
    /// UcMultiGage.xaml 的交互逻辑
    /// </summary>
    public partial class UcMultiGage : UserControl
    {
        public PgMultiGage pgMultiGage;

        public UcMultiGage()
        {
            InitializeComponent();
            pgMultiGage = new PgMultiGage();
        }
        public void Init(FlyLayoutManager manager)
        {
            this.DataContext = manager;

            NavigationService.Navigate(pgMultiGage);

        }

        public NavigationService NavigationService => frame.NavigationService;
        public TabControl TabControl => pgMultiGage.tabControl1;

        public bool InMainPage => NavigationService.Content == pgMultiGage;
    }
}
