﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FLY.Simulation
{
    public class IODefinition
    {
        /// <summary>
        /// 归0
        /// </summary>
        public const int IN_ORG = 2;
        /// <summary>
        /// 反向限位
        /// </summary>
        public const int IN_MINLIMIT = 3;
        /// <summary>
        /// 正向限位
        /// </summary>
        public const int IN_MAXLIMIT = 4;
        /// <summary>
        /// 手动正转
        /// </summary>
        public const int IN_FORW = 7;
        /// <summary>
        /// 手动反转
        /// </summary>
        public const int IN_BACKW = 8;
        /// <summary>
        /// 旋转架 信号0
        /// </summary>
        public const int IN_RENZIJIA_0 = 9;
        /// <summary>
        /// 旋转架 信号1
        /// </summary>
        public const int IN_RENZIJIA_1 = 10;
        /// <summary>
        /// 线速度 
        /// </summary>
        public const int IN_RSENSOR = 11;
        /// <summary>
        /// 纵向边界信息
        /// </summary>
        public const int IN_VSENSOR = 12;
        /// <summary>
        /// 旋转架 复位信号
        /// </summary>
        public const int IN_RENZIJIA_ORG = 12;
    }
}
