﻿using GalaSoft.MvvmLight.Command;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.Thick.Base.UI
{
    class CtMircoGageVmUt:ICtMicroGageVm
    {
        public event PropertyChangedEventHandler PropertyChanged;
        public double Thick { get; set; }
        public int AD { get; set; }
        public int ADMax { get; set; }
        public int Position { get; set; }
        public int PosLength { get; set; }

        public double Posmm { get; set; }
        public double Velocity { get; set; }

        public string ControllerState { get; set; }

        public UInt16 OStatus { get; set; }
        public UInt16 IStatus { get; set; }

        public bool IsError { get; set; }
        /// <summary>
        /// 异常消息
        /// </summary>
        public string ErrMsg { get; set; }

        #region Command
        public RelayCommand StopCmd { get; }
        public RelayCommand ForwCmd { get; }
        public RelayCommand BackwCmd { get; }
        public RelayCommand OrgCmd { get; }

        
        #endregion
    }
}
