﻿using MultiLayout.UiModule;
using GalaSoft.MvvmLight.Command;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Navigation;
using Unity;
using MultiLayout;

namespace FLY.Thick.Base.UI.CustomMenu
{
    public class CustomMenu : IMenu
    {
        public string Title => "客户配置";

        public Brush Brush { get; set; }




        IUnityContainer container;
        public CustomMenu(IUnityContainer container)
        {

            this.container = container;

            Brush = new ImageBrush()
            {
                ImageSource = (new ImageSourceConverter()).ConvertFromString("pack://application:,,,/FLY.Thick.Base.UI;component/Images/bg_wheel.jpg") as ImageSource,
                Stretch = Stretch.UniformToFill
            };
        }

        public void OnClick()
        {
            if (!WdPassword.Authorize("CustomSetting"))
                return;
            var p = this.container.Resolve<PgCustomSections>();
            FlyLayoutManager.NavigationService.Navigate(p);
        }
    }
}
